require "rails_helper"

RSpec.describe IssuesAndConcernsReportsController, type: :controller do
  let(:user) { create(:user) }
  let(:project) { create(:project, account: user.primary_account) }
  let(:video) { create(:video, project: project) }

  before :each do
    sign_in user
  end

  describe "#show" do
    context "when format is xls" do
      it "returns xls file" do
        get :show, params: { video_id: video, format: "xlsx" }

        expect(response).to be_successful
      end
    end
  end
end
